package téglalap;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Daniel "3ICE" Berezvai
 */
public class TéglalapKezelő {

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
    List<Téglalap> Téglalapok = new ArrayList<>();

    //1 Két szemközti csúcs koordinátáival (4 szám)
    Téglalapok.add(new Téglalap(0, 0, 15, 4));

    //2 Két szemközti csúcs koordinátáival
    Téglalapok.add(new Téglalap(Coordinate.make(0, 0), Coordinate.make(13, 4)));

    //3 Oldalhosszakkal
    Téglalapok.add(new Téglalap(3, 9));

    //4 Bal felső csúcs koordinátáival és oldalhosszakkal
    Téglalapok.add(new Téglalap(Coordinate.make(3, 4), 12, 4));

    int i = 1;
    for (Téglalap t : Téglalapok) {
      System.out.println(i + ". téglalap:");
      System.out.println("koordinátái: " + t.getCoords());
      System.out.println("oldalhosszai: a = " + t.getA() + ",  b = " + t.getB());
      System.out.println("kerülete: K = " + t.getKerület());
      System.out.println("területe: T = " + t.getTerület());
      t.Kiír();
      System.out.println(); //Elválasztó üres sor
      i++;
    }
  }
}
